VULKAN_HPP_NAMESPACE::ImageViewUsageCreateInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ImageViewUsageCreateInfo:
[legend]

## Public Member Functions

| ImageViewUsageCreateInfo (ImageUsageFlags usage_=ImageUsageFlags())
| ImageViewUsageCreateInfo (VkImageViewUsageCreateInfo const &rhs)
ImageViewUsageCreateInfo & | operator= (VkImageViewUsageCreateInfo const &rhs)
ImageViewUsageCreateInfo & | setPNext (const void *pNext_)
ImageViewUsageCreateInfo & | setUsage (ImageUsageFlags usage_)
| operator VkImageViewUsageCreateInfo const & () const
| operator VkImageViewUsageCreateInfo & ()
bool | operator== (ImageViewUsageCreateInfo const &rhs) const
bool | operator!= (ImageViewUsageCreateInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
ImageUsageFlags | usage

## Private Attributes

StructureType | sType = StructureType::eImageViewUsageCreateInfo

## Detailed Description

Definition at line 23419 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ImageViewUsageCreateInfo() [1/2]

VULKAN_HPP_NAMESPACE::ImageViewUsageCreateInfo::ImageViewUsageCreateInfo | ( | ImageUsageFlags | usage_ = `ImageUsageFlags()` | ) |

inline

Definition at line 23421 of file vulkan.hpp.

: usage( usage_ )
{
}

## ImageViewUsageCreateInfo() [2/2]

VULKAN_HPP_NAMESPACE::ImageViewUsageCreateInfo::ImageViewUsageCreateInfo | ( | VkImageViewUsageCreateInfo const & | rhs | ) |

inline

Definition at line 23426 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImageViewUsageCreateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkImageViewUsageCreateInfo &()

VULKAN_HPP_NAMESPACE::ImageViewUsageCreateInfo::operator VkImageViewUsageCreateInfo & | ( |  | ) |

inline

Definition at line 23453 of file vulkan.hpp.

{
return *reinterpret_cast<VkImageViewUsageCreateInfo*>(this);
}

## operator VkImageViewUsageCreateInfo const &()

VULKAN_HPP_NAMESPACE::ImageViewUsageCreateInfo::operator VkImageViewUsageCreateInfo const & | ( |  | ) | const

inline

Definition at line 23448 of file vulkan.hpp.

{
return *reinterpret_cast<const VkImageViewUsageCreateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ImageViewUsageCreateInfo::operator!= | ( | ImageViewUsageCreateInfo const & | rhs | ) | const

inline

Definition at line 23465 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ImageViewUsageCreateInfo& VULKAN_HPP_NAMESPACE::ImageViewUsageCreateInfo::operator= | ( | VkImageViewUsageCreateInfo const & | rhs | ) |

inline

Definition at line 23431 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImageViewUsageCreateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ImageViewUsageCreateInfo::operator== | ( | ImageViewUsageCreateInfo const & | rhs | ) | const

inline

Definition at line 23458 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( usage == rhs.usage );
}

References pNext, sType, and usage.

Referenced by operator!=().

## setPNext()

ImageViewUsageCreateInfo& VULKAN_HPP_NAMESPACE::ImageViewUsageCreateInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 23436 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setUsage()

ImageViewUsageCreateInfo& VULKAN_HPP_NAMESPACE::ImageViewUsageCreateInfo::setUsage | ( | ImageUsageFlags | usage_ | ) |

inline

Definition at line 23442 of file vulkan.hpp.

{
usage = usage_;
return *this;
}

## Field Documentation

## pNext

const void* VULKAN_HPP_NAMESPACE::ImageViewUsageCreateInfo::pNext = nullptr

Definition at line 23474 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::ImageViewUsageCreateInfo::sType = StructureType::eImageViewUsageCreateInfo

private

Definition at line 23471 of file vulkan.hpp.

Referenced by operator==().

## usage

ImageUsageFlags VULKAN_HPP_NAMESPACE::ImageViewUsageCreateInfo::usage

Definition at line 23475 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::ImageViewUsageCreateInfo::ImageViewUsageCreateInfo
ImageViewUsageCreateInfo(ImageUsageFlags usage_=ImageUsageFlags())
Definition: vulkan.hpp:23421
VULKAN_HPP_NAMESPACE::ImageViewUsageCreateInfo::usage
ImageUsageFlags usage
Definition: vulkan.hpp:23475
usage
GLsizeiptr const void GLenum usage
Definition: SDL_opengl_glext.h:537
VkImageViewUsageCreateInfo
Definition: vulkan_core.h:4233
VULKAN_HPP_NAMESPACE::ImageViewUsageCreateInfo::sType
StructureType sType
Definition: vulkan.hpp:23471
VULKAN_HPP_NAMESPACE::ImageViewUsageCreateInfo::pNext
const void * pNext
Definition: vulkan.hpp:23474
VULKAN_HPP_NAMESPACE::ImageViewUsageCreateInfo::operator==
bool operator==(ImageViewUsageCreateInfo const &rhs) const
Definition: vulkan.hpp:23458